[debian-edu-commits] debian-edu/upstream/ 01/01: Fix tests/test-server-client script. (Closes: #867361).

Wolfgang Schweer schweer-guest at moszumanska.debian.org
Thu Jul 13 14:27:22 UTC 2017


This is an automated email from the git hooks/post-receive script.

schweer-guest pushed a commit to branch master
in repository sitesummary.

commit b0d8c5ac2972d5987d61f98364ba0a17beb2becd
Author: Wolfgang Schweer <wschweer at arcor.de>
Date:   Thu Jul 13 16:26:17 2017 +0200

    Fix tests/test-server-client script. (Closes: #867361).
    
     Unset http_proxy just in case a proxy is used in the test
     environment; thanks to Steve Langasek for the patch.
    
     Add conditional sleep statement to avoid autopkgtest failure
     in case of too high load in the test environment.
---
 debian/changelog                | 10 ++++++++++
 debian/tests/test-server-client | 19 +++++++++++++------
 2 files changed, 23 insertions(+), 6 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 7ae11b2..d37b0ac 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+sitesummary (0.1.29) UNRELEASED; urgency=medium
+
+  * Fix tests/test-server-client script. (Closes: #867361).
+    - Unset http_proxy just in case a proxy is used in the test environment;
+      thanks to Steve Langasek for the patch.
+    - Add conditional sleep statement to avoid autopkgtest failure
+      in case of too high load in the test environment.
+
+ -- Wolfgang Schweer <wolf at star>  Thu, 13 Jul 2017 14:29:51 +0200
+
 sitesummary (0.1.28) unstable; urgency=medium
 
   [ Wolfgang Schweer ]
diff --git a/debian/tests/test-server-client b/debian/tests/test-server-client
old mode 100644
new mode 100755
index 347d2fb..1f6636e
--- a/debian/tests/test-server-client
+++ b/debian/tests/test-server-client
@@ -14,6 +14,9 @@ trap at_exit INT TERM EXIT
 LC_ALL=C
 export LC_ALL
 
+# Just in case a proxy is used in the test environment.
+unset http_proxy
+
 # Installing the binary packages should set up apache on localhost and
 # the cgi script for the sitesummary collector.  But some times the
 # install does not do this, because the apt system is sorting the
@@ -29,9 +32,13 @@ sitesummary-client
 
 find /var/lib/sitesummary
 
-if find /var/lib/sitesummary | grep ether- ; then
-    echo success: found entry
-else
-    echo error: did not find entry
-    exit 1
-fi
+for i in $(seq 0 10) ; do
+    if find /var/lib/sitesummary | grep ether- ; then
+	echo success: found entry
+	exit 0
+    fi
+    sleep 1
+done
+
+echo error: did not find entry after waiting for 10 seconds.
+exit 1

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-edu/upstream/sitesummary.git



More information about the debian-edu-commits mailing list